package net.minecraft.world.item;

import net.minecraft.stats.Stat;
import net.minecraft.stats.Stats;
import net.minecraft.world.entity.Entity;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.entity.projectile.ThrownEgg;
import net.minecraft.sounds.SoundSource;
import net.minecraft.sounds.SoundEvents;
import net.minecraft.world.InteractionResultHolder;
import net.minecraft.world.InteractionHand;
import net.minecraft.world.entity.player.Player;
import net.minecraft.world.level.Level;

public class EggItem extends Item {
    public EggItem(final Properties a) {
        super(a);
    }
    
    @Override
    public InteractionResultHolder<ItemStack> use(final Level bqb, final Player bec, final InteractionHand anf) {
        final ItemStack bki5 = bec.getItemInHand(anf);
        bqb.playSound(null, bec.getX(), bec.getY(), bec.getZ(), SoundEvents.EGG_THROW, SoundSource.PLAYERS, 0.5f, 0.4f / (EggItem.random.nextFloat() * 0.4f + 0.8f));
        if (!bqb.isClientSide) {
            final ThrownEgg bfa6 = new ThrownEgg(bqb, bec);
            bfa6.setItem(bki5);
            bfa6.shootFromRotation(bec, bec.xRot, bec.yRot, 0.0f, 1.5f, 1.0f);
            bqb.addFreshEntity(bfa6);
        }
        bec.awardStat(Stats.ITEM_USED.get(this));
        if (!bec.abilities.instabuild) {
            bki5.shrink(1);
        }
        return InteractionResultHolder.<ItemStack>sidedSuccess(bki5, bqb.isClientSide());
    }
}
